Overview

Retrieve role

GET/v2/rbac/roles/{id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input1
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
idstring · pathrequired
(path) Unique identifier of the role to retrieve
Output7
datasetCapabilitiesobject
Defines the available permissions for dataset operations
descriptionstring
Detailed description of the role's purpose and scope
membersstring[]
List of user IDs that are assigned to this role
namestring
Unique name identifier for the role
orgCapabilitiesobject
Defines organization-wide permissions and capabilities
viewCapabilitiesobject
Defines the available permissions for view operations
idstring
Unique identifier for the role
Responses
200The role was successfully retrieved
Example input
curl 'https://api.axiom.co/v2/rbac/roles/{id}' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
{
  "datasetCapabilities": {},
  "description": "string",
  "members": [
    "string"
  ],
  "name": "string",
  "orgCapabilities": {
    "annotations": [
      "create"
    ],
    "apiTokens": [
      "create"
    ],
    "auditLog": [
      "read"
    ],
    "billing": [
      "read"
    ],
    "dashboards": [
      "create"
    ],
    "datasets": [
      "create"
    ],
    "endpoints": [
      "create"
    ],
    "flows": [
      "create"
    ],
    "integrations": [
      "create"
    ],
    "monitors": [
      "create"
    ],
    "notifiers": [
      "create"
    ],
    "rbac": [
      "create"
    ]
  },
  "viewCapabilities": {},
  "id": "string"
}

Updated

Was this page helpful?